/* 
 * $Header: /home/projects/mule/scm/mule/samples/errorhandler/src/java/org/mule/samples/errorhandler/ExceptionHandler.java,v 1.1.1.1 2005/02/15 02:27:46 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:27:46 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk 
 * 
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file. 
 *
 */
 
package org.mule.samples.errorhandler;

import java.util.Iterator;

/**
 *  <code>ExceptionHandler</code> TODO (document class)
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */
public interface ExceptionHandler {

    public ErrorManager getErrorManager();
    
    public void setErrorManager(ErrorManager errorManager);
	
	public void onException(ErrorMessage message) throws HandlerException;
	
	public void registerException(Class exceptionClass);
	
	public void unRegisterException(Class exceptionClass);
	
	public Iterator getRegisteredClasses();
	
	public boolean isRegisteredFor(Class exceptionClass);
	
	
}
