/*
 * $Header: /home/projects/mule/scm/mule/samples/loanbroker/src/java/org/mule/samples/loanbroker/CreditProfile.java,v 1.1.1.1 2005/02/15 02:27:47 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:27:47 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.samples.loanbroker;

import java.io.Serializable;

/**
 * <code>CreditProfile</code> is a dummy finance profile for a customer
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */
public class CreditProfile implements Serializable
{
    private int creditScore;
    private int creditHistoryLength;

    public int getCreditScore()
    {
        return creditScore;
    }

    public void setCreditScore(int creditScore)
    {
        this.creditScore = creditScore;
    }

    public int getCreditHistoryLength()
    {
        return creditHistoryLength;
    }

    public void setCreditHistoryLength(int creditHistoryLength)
    {
        this.creditHistoryLength = creditHistoryLength;
    }


}
