/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/management/mbeans/RouterStats.java,v 1.1.1.1 2005/02/15 02:28:12 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:28:12 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.management.mbeans;

import org.mule.management.stats.RouterStatistics;

import java.util.Map;

/**
 * <code>RouterStats</code> TODO
 *
 * @author Guillaume Nodet
 * @version $Revision: 1.1.1.1 $
 */
public class RouterStats implements RouterStatsMBean {

	private RouterStatistics statistics;
	
	public RouterStats(RouterStatistics statistics) {
		this.statistics = statistics;
	}
	
	/* (non-Javadoc)
	 * @see org.mule.management.mbeans.RouterStatsMBean#getCaughtMessages()
	 */
	public int getCaughtMessages() {
		return statistics.getCaughtMessages();
	}

	/* (non-Javadoc)
	 * @see org.mule.management.mbeans.RouterStatsMBean#getNotRouted()
	 */
	public int getNotRouted() {
		return statistics.getNotRouted();
	}

	/* (non-Javadoc)
	 * @see org.mule.management.mbeans.RouterStatsMBean#getTotalReceived()
	 */
	public int getTotalReceived() {
		return statistics.getTotalReceived();
	}

	/* (non-Javadoc)
	 * @see org.mule.management.mbeans.RouterStatsMBean#getTotalRouted()
	 */
	public int getTotalRouted() {
		return statistics.getTotalRouted();
	}

	/* (non-Javadoc)
	 * @see org.mule.management.mbeans.RouterStatsMBean#getRouted()
	 */
	public Map getRouted() {
		return statistics.getRouted();
	}

}
