/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/management/mbeans/StatisticsServiceMBean.java,v 1.1.1.1 2005/02/15 02:28:12 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:28:12 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.management.mbeans;

import org.mule.management.stats.Statistics;


/**
 * <code>StatisticsServiceMBean</code> is a JMX interfaces for querying Mule
 * event processing statistics
 *
 * @author <a href="mailto:S.Vanmeerhaege@gfdi.be">Vanmeerhaeghe Stphane</a>
 * @version $Revision: 1.1.1.1 $
 */
public interface StatisticsServiceMBean extends Statistics {

    public void logCSVSummary();

    public String printHtmlSummary();
}