/* 
 * $Header: /home/projects/mule/scm/mule/providers/http/src/java/org/mule/providers/http/HttpClientMessageDispatcherFactory.java,v 1.1.1.1 2005/02/15 02:27:40 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:27:40 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk 
 * 
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file. 
 *
 */
package org.mule.providers.http;

import org.mule.umo.UMOException;
import org.mule.umo.provider.UMOConnector;
import org.mule.umo.provider.UMOMessageDispatcher;
import org.mule.umo.provider.UMOMessageDispatcherFactory;

/**
 * Creates a HttpClientMessageAdapter to make client requests
 * @author Ross Mason
 */
public class HttpClientMessageDispatcherFactory implements UMOMessageDispatcherFactory
{
    /* (non-Javadoc)
     * @see org.mule.umo.provider.UMOConnectorSessionFactory#create(org.mule.umo.provider.UMOConnector)
     */
    public UMOMessageDispatcher create(UMOConnector connector) throws UMOException
    {
         return new HttpClientMessageDispatcher((HttpConnector) connector);
    }
}
