/* 
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/umo/model/ComponentNotFoundException.java,v 1.1.1.1 2005/02/15 02:28:23 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:28:23 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk 
 * 
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file. 
 *
 */
package org.mule.umo.model;



/**
 * <code>ComponentNotFoundException</code> is thrown when a reference to
 * a component in a configured container is not found
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */
public class ComponentNotFoundException extends ComponentResolverException
{
    /**
     * @param message
     */
    public ComponentNotFoundException(String message)
    {
        super(message);
    }

    /**
     * @param message
     * @param cause
     */
    public ComponentNotFoundException(String message, Throwable cause)
    {
        super(message, cause);
    }

}
