/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/umo/provider/DispatchException.java,v 1.1.1.1 2005/02/15 02:28:23 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:28:23 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.umo.provider;

import org.mule.umo.endpoint.EndpointException;

/**
 * <code>DispatchException</code> is thrown when an endpoint dispatcher fails to
 * send, dispatch or receive a message.
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */

public class DispatchException extends EndpointException
{
    public DispatchException(String message)
    {
        super(message);
    }

    public DispatchException(String message, Throwable cause)
    {
        super(message, cause);
    }
}
