/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/umo/security/UMOSecurityException.java,v 1.2 2005/02/22 12:17:25 rossmason Exp $
 * $Revision: 1.2 $
 * $Date: 2005/02/22 12:17:25 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.umo.security;

import org.mule.umo.UMOException;

/**
 * <code>UMOSecurityException</code> is a generic security exception
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.2 $
 */
public abstract class UMOSecurityException extends UMOException
{
    /**
     * @param message the exception message
     */
    public UMOSecurityException(String message)
    {
        super(message);
    }

    /**
     * @param message the exception message
     * @param cause   the exception that cause this exception to be thrown
     */
    public UMOSecurityException(String message, Throwable cause)
    {
        super(message, cause);
    }
}
