/* 
 * $Header: /home/projects/mule/scm/mule/mule-extras/picocontainer/src/test/java/org/mule/extras/picocontainer/PicoContainerContextTestCase.java,v 1.1 2005/02/25 02:10:55 rossmason Exp $
 * $Revision: 1.1 $
 * $Date: 2005/02/25 02:10:55 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk 
 * 
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file. 
 *
 */

package org.mule.extras.picocontainer;

import org.mule.tck.model.AbstractComponentResolverTestCase;
import org.mule.umo.model.UMOContainerContext;

/**
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1 $
 */
public class PicoContainerContextTestCase extends AbstractComponentResolverTestCase
{

    PicoContainerContext context;

    /* (non-Javadoc)
     * @see org.mule.tck.model.AbstractComponentResolverTestCase#getConfiguredResolver()
     */
    public UMOContainerContext getContainerContext()
    {
        return context;
    }

    /* (non-Javadoc)
     * @see junit.framework.TestCase#setUp()
     */
    protected void setUp() throws Exception
    {
        super.setUp();
        context = new PicoContainerContext();
        context.setConfigFile("test-pico-config.xml");
    }
}
