/*
 * $Header: /home/projects/mule/scm/mule/providers/soap/src/test/java/org/mule/providers/soap/PeopleService.java,v 1.1 2005/02/16 23:03:33 gnt Exp $
 * $Revision: 1.1 $
 * $Date: 2005/02/16 23:03:33 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.providers.soap;

/**
 * <code>PeopleService</code> is a test service that returns
 * complex types
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1 $
 */

public interface PeopleService
{
    public Person getPerson(String firstName);

    public Person[] getPeople();

    public void addPerson(Person person);

    public Person addPerson(String firstname, String surname);
}
