/*
 * $Header: /home/projects/mule/scm/mule/providers/tcp/src/test/java/org/mule/providers/tcp/TcpMessageAdapterTestCase.java,v 1.1 2005/02/16 23:03:34 gnt Exp $
 * $Revision: 1.1 $
 * $Date: 2005/02/16 23:03:34 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.providers.tcp;

import org.mule.tck.providers.AbstractMessageAdapterTestCase;
import org.mule.umo.provider.UMOMessageAdapter;

/**
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1 $
 */
public class TcpMessageAdapterTestCase extends AbstractMessageAdapterTestCase
{
    public Object getValidMessage() throws Exception
    {
        return "Hello".getBytes();
    }

    public UMOMessageAdapter createAdapter(Object payload) throws Exception
    {
        return new TcpMessageAdapter(payload);
    }
}
