/*
 * $Header: /home/projects/mule/scm/mule/mule/src/test/java/org/mule/test/config/ConnectorConverterTestCase.java,v 1.1 2005/02/17 08:31:14 rossmason Exp $
 * $Revision: 1.1 $
 * $Date: 2005/02/17 08:31:14 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.test.config;

import org.apache.commons.beanutils.Converter;
import org.mule.config.converters.ConnectorConverter;
import org.mule.tck.testmodels.mule.TestConnector;

/**
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1 $
 */

public class ConnectorConverterTestCase extends AbstractConverterTestCase
{
    public Converter getConverter()
    {
        return new ConnectorConverter();
    }

    public Object getValidConvertedType()
    {
        return new TestConnector();
    }

    public String getLookupMethod()
    {
        return "lookupConnector";
    }
}
