@REM Make sure prerequisite environment variables are set
if not "%JAVA_HOME%" == "" goto gotJavaHome
echo The JAVA_HOME environment variable is not defined
echo This environment variable is needed to run this program
goto end
:gotJavaHome
@REM Setup Environment variables for Mule
@REM Set any jars you want to appear at the begining of the classpath here
@REM remember to terminate with a ;

@SET PRE_MULE_CLASSPATH=

@REM Set any jars you want to appear at the end of the classpath here
@REM remember to terminate with a ;

@SET POST_MULE_CLASSPATH=

@SET LIB_DIR=../../../lib
@SET DIST_DIR=../../../dist
@SET CLASSPATH=.;../classes;../conf;%PRE_MULE_CLASSPATH%;
@SET CLASSPATH=%CLASSPATH%%DIST_DIR%/mule-1.0-rc3.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/activation-1.0.1.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/axis-1.2-RC3.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/axis-jaxrpc-1.2-RC3.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/axis-saaj-1.2-RC3.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/axis-wsdl4j-1.2-RC3.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/commons-beanutils-1.6.1.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/commons-collections-2.1.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/commons-dbutils-1.0.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/commons-digester-1.5.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/commons-discovery-0.2-dev.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/commons-httpclient-2.0.2.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/commons-jxpath-1.1.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/commons-logging-1.0.3.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/commons-pool-1.1.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/concurrent-1.3.4.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/dom4j-1.4.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/geronimo-spec-j2ee-1.4-rc2.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/javamail-1.3.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/jmxri-1.2.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/jmxtools-1.2.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/jug-1.0.3.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/log4j-1.2.8.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/mule-core-1.0-rc3.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/mule-http-provider-1.0-rc3.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/mule-tcp-provider-1.0-rc3.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/mule-udp-provider-1.0-rc3.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/mx4j-jmx-2.1.1.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/mx4j-remote-2.1.1.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/mx4j-tools-2.1.1.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/smack-1.4.1.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/smackx-1.4.1.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/xapool-1.4.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/xpp3-1.1.3.4d_b4_min.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/xstream-1.0.2.jar;
@SET CLASSPATH=%CLASSPATH%%LIB_DIR%/mule-extras-spring/spring-1.1.5.jar;

@SET @SET CLASSPATH=%CLASSPATH%%POST_MULE_CLASSPATH%

@%JAVA_HOME%\bin\java -classpath "%CLASSPATH%" org.mule.MuleServer %1 %2 %3 %4 %5 %6 %7 %8 %9

:end