/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/config/pool/CommonsPoolFactory.java,v 1.1.1.1 2005/02/15 02:28:18 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:28:18 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.config.pool;

import org.mule.impl.MuleDescriptor;
import org.mule.umo.UMODescriptor;
import org.mule.umo.model.UMOPoolFactory;
import org.mule.util.ObjectPool;

/**
 * <code>CommonsPoolFactory</code> is a commons-pool pool implementation for mule.
 * this is the default implementation used if no other is configured.
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */
public class CommonsPoolFactory implements UMOPoolFactory
{
    public ObjectPool createPool(UMODescriptor descriptor)
    {
        return new CommonsPoolProxyPool((MuleDescriptor)descriptor);
    }
}
