/* 
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/impl/DefaultLifecycleAdapterFactory.java,v 1.1.1.1 2005/02/15 02:27:58 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:27:58 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk 
 * 
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file. 
 *
 */

package org.mule.impl;

import org.mule.umo.UMODescriptor;
import org.mule.umo.UMOException;
import org.mule.umo.lifecycle.UMOLifecycleAdapter;
import org.mule.umo.lifecycle.UMOLifecycleAdapterFactory;
import org.mule.umo.model.UMOEntryPointResolver;

/**
 * <code>DefaultLifecycleAdapterFactory</code> TODO (document class)
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */
public class DefaultLifecycleAdapterFactory implements UMOLifecycleAdapterFactory
{
    public DefaultLifecycleAdapterFactory()
    {
    }


    /* (non-Javadoc)
     * @see org.mule.umo.lifecycle.UMOLifecycleAdapterFactory#create(java.lang.Object, org.mule.umo.UMODescriptor)
     */
    public UMOLifecycleAdapter create(Object component, UMODescriptor descriptor, UMOEntryPointResolver resolver) throws UMOException
    {
        return new DefaultLifecycleAdapter(component, descriptor, resolver);
    }

}
