/* 
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/impl/SessionException.java,v 1.1.1.1 2005/02/15 02:28:00 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:28:00 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk 
 * 
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file. 
 *
 */

package org.mule.impl;

import org.mule.MuleException;

/**
 * <code>SessionException</code> is thrown when errors occur in the MuleSession
 * or Seession Manager
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */
public class SessionException extends MuleException
{
    /**
     * @param message the exception payload
     */
    public SessionException(String message)
    {
        super(message);
    }

    /**
     * @param message the exception payload
     * @param cause   the exception that triggered this exception
     */
    public SessionException(String message, Throwable cause)
    {
        super(message, cause);
    }
}
