/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/management/mbeans/ComponentStatsMBean.java,v 1.1.1.1 2005/02/15 02:28:12 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:28:12 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.management.mbeans;

import javax.management.ObjectName;

/**
 * <code>ComponentStatsMBean</code> TODO
 *
 * @author Guillaume Nodet
 * @version $Revision: 1.1.1.1 $
 */
public interface ComponentStatsMBean {

	public void clear();
	
	public ObjectName getRouterInbound();
	public ObjectName getRouterOutbound();
	
    public long getAverageExecutionTime();

    public long getAverageQueueSize();

    public long getMaxQueueSize();

    public long getMaxExecutionTime();

    public long getFatalErrors();

    public long getMinExecutionTime();

    public long getTotalExecutionTime();

    public long getQueuedEvents();

    public long getAsyncEventsReceived();

    public long getSyncEventsReceived();

    public long getReplyToEventsSent();

    public long getSyncEventsSent();

    public long getAsyncEventsSent();

    public long getTotalEventsSent();

    public long getTotalEventsReceived();

    public long getExecutedEvents();

    public long getExecutionErrors();
}
