/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/management/stats/Statistics.java,v 1.1.1.1 2005/02/15 02:28:13 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:28:13 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.management.stats;

import java.io.Serializable;

/**
 * <code>Statistics</code> todo
 *
 * @author <a href="mailto:S.Vanmeerhaege@gfdi.be">Vanmeerhaeghe Stphane</a>
 * @version $Revision: 1.1.1.1 $
 */
public interface Statistics extends Serializable
{
    /**
	 * Are statistics logged
	 */
	public boolean isEnabled() ;

	/**
	 * Enable statistics logs (this is a dynamic parameter)
	 */
	public void setEnabled(boolean b) ;

	public void clear() ;

	public void logSummary();
}
