/*
 * $Header: /home/projects/mule/scm/mule/providers/soap/src/java/org/mule/providers/soap/axis/AxisMessageReceiver.java,v 1.1.1.1 2005/02/15 02:27:32 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:27:32 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.providers.soap.axis;

import org.mule.InitialisationException;
import org.mule.providers.AbstractMessageReceiver;
import org.mule.umo.UMOComponent;
import org.mule.umo.endpoint.UMOEndpoint;
import org.mule.umo.provider.UMOConnector;

/**
 * <code>AxisMessageReceiver</code> is used to register a component as a service
 * with a Axis server.
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */

public class AxisMessageReceiver extends AbstractMessageReceiver
{
    public AxisMessageReceiver(UMOConnector connector, UMOComponent component,
                               UMOEndpoint endpoint) throws InitialisationException
    {
        super.create(connector, component, endpoint);
    }
}
