/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/routing/filters/UMOEventFilter.java,v 1.1.1.1 2005/02/15 02:27:56 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:27:56 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.routing.filters;

import org.mule.umo.UMOEvent;
import org.mule.umo.UMOFilter;

/**
 * <code>UMOEventFilter</code> is a filter for determining if the object is a UMOEvent.
 * This filter will allways be used in conjunction with at least one other filter.
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */

public class UMOEventFilter implements UMOFilter
{
    public boolean accept(Object object)
    {
        return object instanceof UMOEvent;
    }
}
