/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/umo/UMOEncryptionStrategy.java,v 1.1 2005/02/22 12:17:25 rossmason Exp $
 * $Revision: 1.1 $
 * $Date: 2005/02/22 12:17:25 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.umo;

import org.mule.umo.security.UMOSecurityException;
import org.mule.umo.security.CryptoFailureException;
import org.mule.umo.lifecycle.Initialisable;

/**
 * <code>UMOEncryptionStrategy</code> TODO
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1 $
 */
public interface UMOEncryptionStrategy extends Initialisable
{
    public byte[] encrypt(byte[] data) throws CryptoFailureException;

    public byte[] decrypt(byte[] data) throws CryptoFailureException;
}
