/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/umo/UMOServerEventListener.java,v 1.1.1.1 2005/02/15 02:28:20 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:28:20 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.umo;

/**
 * <code>UMOServerEventListener</code> is an observer interface that ojects can implement
 * and register themselves with the Mule Server to receive notifications when the sevrver,
 * model and components stop, start, initilise, etc.
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */
public interface UMOServerEventListener
{
    public void onEvent(UMOServerEvent event);
}
