/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/util/queue/PersistenceStrategy.java,v 1.1.1.1 2005/02/15 02:28:17 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:28:17 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.util.queue;

import EDU.oswego.cs.dl.util.concurrent.BoundedChannel;
import org.mule.InitialisationException;
import org.mule.umo.UMOEvent;

/**
 * <code>PersistenceStrategy</code> TODO
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */

public interface PersistenceStrategy
{
    public void store(UMOEvent event) throws PersistentQueueException;

    public boolean remove(UMOEvent event) throws PersistentQueueException;

    public void initialise(BoundedChannel queue, String componentName) throws InitialisationException;

    public void dispose() throws PersistentQueueException;

}
