/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/util/queue/PersistentQueueException.java,v 1.1.1.1 2005/02/15 02:28:17 topping Exp $
 * $Revision: 1.1.1.1 $
 * $Date: 2005/02/15 02:28:17 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) Cubis Limited. All rights reserved.
 * http://www.cubis.co.uk
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.util.queue;

import org.mule.MuleRuntimeException;

/**
 * <code>PersistentQueueException</code> is thrown when a Mule persistent
 * queue cannot save or remove an item or if there is a problem loading the
 * queue
 *
 * @author <a href="mailto:ross.mason@cubis.co.uk">Ross Mason</a>
 * @version $Revision: 1.1.1.1 $
 */

public class PersistentQueueException extends MuleRuntimeException
{
    public PersistentQueueException(String message)
    {
        super(message);
    }

    public PersistentQueueException(String message, Throwable cause)
    {
        super(message, cause);
    }
}
